Can"t Access PHPMyAdmin, Localhost, Virtualhost,Mnagement
Posted by: caydee (---.customer.vsm.sh)
Date: July 20, 2019 12:04PM

Hello RiggsFolly,

Wishing you a good day from Germany!

On trying to access PHPMyAdmin, Localhost, Virtualhost Management I get an error:

Error: Could not execute menu item (internal error)
[Exception]. Could not execute run action:
%1 is not a valid Win32 application.


Any advice?

Caydee

IN ALL THINGS BE MEN
Windows 10 x64 | WAMP 3.1.9 - x64 | Apache 2.4.33 | MySQL 5.7.21 | PHP 7.2.4 | PHP MyAdmin 4.7.9

Options: ReplyQuote
Re: Can"t Access PHPMyAdmin, Localhost, Virtualhost,Mnagement
Posted by: Otomatic (Moderator)
Date: July 20, 2019 01:09PM

Hi,

- Verify that all VC ++ packages are installed and with the latest versions.
To do this, use the tool:
Checks VC++ packages installed
Do not use a previously loaded tool. Make a new download to make sure you are using the correct version.
To download missing packages, do not rely on Microsoft links, they are not reliable, download packages on http://wampserver.aviatechno.net in section Visual C++ Redistribuable Packages
Do not forget that if you have a 64 bit Windows, you must install both 32 and 64 bit versions of each package.
You must install each package "as an administrator", so right-click the exe file and then run as Administrator.

- If it is not already done, apply Update 3.1.9 to your version of Wampserver
Wampserver update 3.1.9

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.41 - PHP 7.3.9/7.2.22/7.1.32/7.0.33/5.6.40 - MySQL 5.7.27 - MariaDB 10.4.7
Wampserver 3.1.9 64 bit - Apache 2.4.41 - PHP 7.3.9/7.2.22/7.1.32/7.0.33/5.6.40 - MySQL 5.7.27/8.0.17 - MariaDB 10.4.7
PhPMyadmin 4.9.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Can"t Access PHPMyAdmin, Localhost, Virtualhost Management
Posted by: caydee (---.customer.vsm.sh)
Date: July 20, 2019 03:31PM

Thank you for the information.

I installed the missing Visual C++ Redistributable Packages and updated the WAMP installation, started and it installed the services and showed the green wamp icon. Updated to WampServer Version 3.1.9 64bit.


Unfortunately, the error is same as before for access to PHPMyAdmin, Localhost, Virtualhost Management.

Any other solution..

Caydee

Caydee

IN ALL THINGS BE MEN
Windows 10 x64 | WAMP 3.1.9 - x64 | Apache 2.4.33 | MySQL 5.7.21 | PHP 7.2.4 | PHP MyAdmin 4.7.9

Options: ReplyQuote
Re: Can"t Access PHPMyAdmin, Localhost, Virtualhost,Mnagement
Posted by: Otomatic (Moderator)
Date: July 20, 2019 04:14PM

Hi,

What is the result of :
Right-Click -> Tools -> Check Compiler VC, compatibility and ini files

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.41 - PHP 7.3.9/7.2.22/7.1.32/7.0.33/5.6.40 - MySQL 5.7.27 - MariaDB 10.4.7
Wampserver 3.1.9 64 bit - Apache 2.4.41 - PHP 7.3.9/7.2.22/7.1.32/7.0.33/5.6.40 - MySQL 5.7.27/8.0.17 - MariaDB 10.4.7
PhPMyadmin 4.9.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Can"t Access PHPMyAdmin, Localhost, Virtualhost,Mnagement
Posted by: caydee (---.customer.vsm.sh)
Date: July 23, 2019 10:31AM

Hello Otomatic,

I'm sorry I got occupied with something else. Now that I'm back here's what it says:

Compiler Visual C++ versions used:

PHP 5.6.35 Compiler => MSVC11 (Visual C++ 2012)
Architecture => x64
is compatible with Apache 2.4.33

PHP 7.0.29 Compiler => MSVC14 (Visual C++ 2015)
Architecture => x64
is compatible with Apache 2.4.33

PHP 7.1.16 Compiler => MSVC14 (Visual C++ 2015)
Architecture => x64
is compatible with Apache 2.4.33

PHP 7.2.4 Compiler => MSVC15 (Visual C++ 2017)
Architecture => x64
is compatible with Apache 2.4.33

MySQL Ver 5.7.21 for Win64 on x86_64 (MySQL Community Server (GPL))

MariaDB Ver 10.2.14-MariaDB for Win64 on AMD64 (mariadb.org binary distribution)

Apache 2.4.33 Apache Lounge VC15 Server built: Mar 18 2018 12:58:47
Architecture: 64-bit


Regards,

Caydee

IN ALL THINGS BE MEN
Windows 10 x64 | WAMP 3.1.9 - x64 | Apache 2.4.33 | MySQL 5.7.21 | PHP 7.2.4 | PHP MyAdmin 4.7.9

Options: ReplyQuote
Re: Can"t Access PHPMyAdmin, Localhost, Virtualhost,Mnagement
Posted by: Otomatic (Moderator)
Date: July 23, 2019 12:05PM

Hi,

Everything is x64, so I don't understand the error message: %1 is not a valid Win32 application.

Could you copy here the first sixteen lines of the file wampmanager.conf

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.41 - PHP 7.3.9/7.2.22/7.1.32/7.0.33/5.6.40 - MySQL 5.7.27 - MariaDB 10.4.7
Wampserver 3.1.9 64 bit - Apache 2.4.41 - PHP 7.3.9/7.2.22/7.1.32/7.0.33/5.6.40 - MySQL 5.7.27/8.0.17 - MariaDB 10.4.7
PhPMyadmin 4.9.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Can"t Access PHPMyAdmin, Localhost, Virtualhost,Mnagement
Posted by: caydee (---.162.152.213.in-addr.arpa)
Date: July 23, 2019 12:20PM

Here it goes:

[main]
language = "english"
status = "offline"
wampserverVersion = "3.1.9"
installDir ="c:/wamp64"
;Path of the Browser used by Wampserver
;May be modfied with the absolute path of the browser exe file
;(Use / instead of \)
navigator ="C:/ProgramData\Microsoft/Windows/Start Menu/Programs/Firefox Developer Edition.lnk"
#navigator ="C:/Program Files (x86)/Google/Chrome/Application/chrome.exe"
;Path of the Text Editor used by Wampserver
;May be modfied with the absolute path of the Text Editor exe file
;(Use / instead of \)
editor ="C:/WINDOWS/system32/notepad.exe"
defaultLanguage = english
wampserverMode = "64bit"
[options]


Caydee

IN ALL THINGS BE MEN
Windows 10 x64 | WAMP 3.1.9 - x64 | Apache 2.4.33 | MySQL 5.7.21 | PHP 7.2.4 | PHP MyAdmin 4.7.9

Options: ReplyQuote
Re: Can"t Access PHPMyAdmin, Localhost, Virtualhost,Mnagement
Posted by: Otomatic (Moderator)
Date: July 23, 2019 01:34PM

Hi,

> navigator ="C:/ProgramData\Microsoft/Windows/Start Menu/Programs/Firefox Developer Edition.lnk"
It is not an executable file, hence the error!
I think it should be with the path to firefox.exe file as for Chrome.

In addition, it is well indicated: ;(Use / instead of \) but you left an antislash \ in the complete path

In other addition, commented line must begin by ; not by #

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.41 - PHP 7.3.9/7.2.22/7.1.32/7.0.33/5.6.40 - MySQL 5.7.27 - MariaDB 10.4.7
Wampserver 3.1.9 64 bit - Apache 2.4.41 - PHP 7.3.9/7.2.22/7.1.32/7.0.33/5.6.40 - MySQL 5.7.27/8.0.17 - MariaDB 10.4.7
PhPMyadmin 4.9.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »



Edited 2 time(s). Last edit at 07/23/2019 01:45PM by Otomatic.

Options: ReplyQuote
Re: Can"t Access PHPMyAdmin, Localhost, Virtualhost,Mnagement
Posted by: caydee (---.customer.vsm.sh)
Date: July 23, 2019 02:44PM

Thank you Otomatic,
Yes, that was the cause of the error.
Fixed it and it is working again, smoothly!

Cool regards,

(it's going to be 40 C tomorrow!)

Caydee

IN ALL THINGS BE MEN
Windows 10 x64 | WAMP 3.1.9 - x64 | Apache 2.4.33 | MySQL 5.7.21 | PHP 7.2.4 | PHP MyAdmin 4.7.9

Options: ReplyQuote
Re: Can"t Access PHPMyAdmin, Localhost, Virtualhost,Mnagement
Posted by: Otomatic (Moderator)
Date: July 23, 2019 02:47PM

Hi,

Why it is not possible to use hash mark # as a comment in the configuration files ?

To parse a configuration file, we use the php instruction "parse_ini_file()" and, since PHP 5.3.0 hash marks (#) should no longer be used as comments and will throw a deprecation warning if used and, since PHP 7.0.0 hash marks (#) are no longer recognized as comments.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.9 32 bit - Apache 2.4.41 - PHP 7.3.9/7.2.22/7.1.32/7.0.33/5.6.40 - MySQL 5.7.27 - MariaDB 10.4.7
Wampserver 3.1.9 64 bit - Apache 2.4.41 - PHP 7.3.9/7.2.22/7.1.32/7.0.33/5.6.40 - MySQL 5.7.27/8.0.17 - MariaDB 10.4.7
PhPMyadmin 4.9.0.1 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote


Sorry, only registered users may post in this forum.